import http from "@/util/http.js";

// 平台货品列表
export function platGoodsList(params) {
    return http({
        url: "/api/plat_goods",
        method: "get",
        params,
    });
}

export function updateSyncStatus(id, params) {
    return http({
        url: "/api/plat_goods/" + id,
        method: "patch",
        params,
    });
}

export function deletePlatGoods(id) {
    return http({
        url: "/api/plat_goods/" + id,
        method: "delete",
    });
}

export function syncStock(id) {
    return http({
        url: "/api/plat/sync/" + id + "/stock/",
        method: "post",
    });
}
